.TH XvSelectPortNotify __libmansuffix__ __vendorversion__
.\" $XFree86: xc/doc/man/Xv/XvSelectPortNotify.man,v 1.5 2001/01/27 18:20:36 dawes Exp $
.SH Name
XvSelectPortNotify \- enable or disable XvPortNotify(__libmansuffix__) events
.\"
.SH Syntax
.B #include <X11/extensions/Xvlib.h>
.sp 1l
\fBXvSelectPortNotify(\fIdpy, port, onoff\fR)
.sp 1l
\fBDisplay \fI*dpy\fR;
.br
\fBXvPortID \fIport\fR;
.br
\fBBool \fIonoff\fR;
.\"
.SH Arguments
.\"
.IP \fIdpy\fR 8
Specifies the display screen on which the
X Server is to accept requests from X clients.  If the
display option is not specified, X uses the display screen
specified by your DISPLAY environment variable.  The display
option has the format hostname:number.  Using two colons
(::) instead of one (:) indicates that DECnet is to be used
for transport.
.IP \fIport\fR 8
Specifies the port for which PortNotify events are to be generated
when its attributes are changed using XvSetPortAttribute(__libmansuffix__).
.IP \fIonoff\fR 8
Specifies whether notification is to be enabled or disabled.
.\"
.SH Description
.\"
XvSelectPortNotify(__libmansuffix__) enables or disables PortNotify event
delivery to the requesting client.  XvPortNotify(__libmansuffix__) events are
generated when port attributes are changed using XvSetPortAttribute(__libmansuffix__).
.\"
.SH Returned Values
.IP [Success] 8
Returned if XvSelectPortNotify(__libmansuffix__) completed successfully.
.IP [XvBadExtension] 8
Returned if the Xv extension is unavailable.
.IP [XvBadAlloc] 8
Returned if XvSelectPortNotify(__libmansuffix__) failed to allocate memory to process
the request.
.SH Diagnostics
.IP [XvBadPort] 8
Generated if the requested port does not exist.
.SH See Also
.\"
XvSetPortNotify(__libmansuffix__), XvSetPortAttribute(__libmansuffix__), XvPortNotify(__libmansuffix__)
.br
